Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mtdev
#Epoch:		0
Version:	1.0.10
Release:	1
License:	MIT
URL:		http://bitmath.org/code/mtdev/
Group:		System/Libraries
Summary:	kernel multitouch events transformation library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
The mtdev is a stand-alone library which transforms all variants of kernel MT events to the slotted type B protocol. The events put into mtdev may be from any MT device, specifically type A without contact tracking, type A with contact tracking, or type B with contact tracking. See the kernel documentation for further details.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/mtdev-test
%{_libdir}/libmtdev.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mtdev.h
%{_includedir}/mtdev-mapping.h
%{_includedir}/mtdev-plumbing.h
%{_libdir}/libmtdev.a
%{_libdir}/libmtdev.la
%{_libdir}/libmtdev.so
%{_pkgconfig}/mtdev.pc


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Sep 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- initial CCux package release
